Subject: Re: Some issues when trying to set up a shallow git mirror server

From: Richard Maw <[email-masked]>
Date: Fri, 8 Jan 2016 10:52:04 +0000

On Fri, Jan 08, 2016 at 05:44:30PM +0700, Duy Nguyen wrote:
> It sounds a lot like what I did with narrow clone [2] prototype. A
> narrow clone only contains enough objects for certain paths so there's
> a chance that we just don't have enough to do a proper merge. A
> server-side command was added [1] to retrieve enough objects for the
> task. If you fetch commit chain without all necessary trees and
> objects, your repo is "broken" from Git point of view and you'll need
> to do some extra work to make sure your repo is not actually broken.
> 
> [1] http://article.gmane.org/gmane.comp.version-control.git/154371
> [2] http://thread.gmane.org/gmane.comp.version-control.git/154343

Thanks for the links. I'll have a read to see how it fits together.